Name:             centos-repos-kmods
Version:          %{?rhel}
Release:          2%{?dist}
Summary:          CentOS Kmods SIG repositories

License:          GPLv2
URL:              https://sigs.centos.org/kmods

Source0:          RPM-GPG-KEY-CentOS-SIG-Kmods
Source1:          centos-kmods-repos.repo

BuildArch:        noarch


%description
This package provides access to the release packages for the CentOS Kmods SIG.


%prep


%build


%install
%{__install} -m 644 -D -t %{buildroot}%{_sysconfdir}/pki/rpm-gpg %{SOURCE0}
%{__install} -m 644 -D -t %{buildroot}%{_sysconfdir}/yum.repos.d %{SOURCE1}

%if 0%{?rhel} < 10
find %{buildroot}%{_sysconfdir}/yum.repos.d -type f -name \*.repo -exec sed -i 's/$releasever_major/%{?rhel}/g' \{\} \;
%endif


%clean
%{__rm} -rf %{buildroot}


%files
%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-CentOS-SIG-Kmods
%config(noreplace) %{_sysconfdir}/yum.repos.d/centos-kmods-repos.repo


%changelog
* Fri Nov 22 2024 Peter Georg <peter.georg@physik.uni-regensburg.de> - %{?rhel}-2
- Replace $releasever by $releasever_major
- Replace $releasever_major with fixed value for rhel < 10

* Tue Apr 16 2024 Peter Georg <peter.georg@physik.uni-regensburg.de> - %{?rhel}-1
- Initial version
